SQLITE3_VTAB_ON_CONFLICT(3)

NAME
sqlite3_vtab_on_conflict - determine the virtual table conflict policy

SYNOPSIS
#include <sqlite3.h>
int
sqlite3_vtab_on_conflict(sqlite3 *);

DESCRIPTION
This function may only be called from within a call to the xUpdate method of a virtual table implementation for an INSERT or UPDATE operation. The value returned is one of SQLITE_ROLLBACK, SQLITE_IGNORE, SQLITE_FAIL, SQLITE_ABORT, or SQLITE_REPLACE, according to the ON CONFLICT mode of the SQL statement that triggered the call to the xUpdate method of the virtual table.

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 9816.

    SQLITE_API int sqlite3_vtab_on_conflict(sqlite3 *);

SEE ALSO
SQLITE_DENY(3), SQLITE_OK(3), SQLITE_ROLLBACK(3)